# MenuItemEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [ControlAdded](/api/wisej.web/general/control.md#controladded) and [ControlRemoved](/api/wisej.web/general/control.md#controlremoved) events.

{% tabs %}
{% tab title="C#" %}

```csharp
public class MenuItemEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class MenuItemEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) MenuItemEventArgs(item)

Initializes a new instance of the [MenuItemEventArgs](/api/wisej.web/menus/wisej.web.menuitemeventargs.md) class for the specified control.

| Name     | Type                                                   | Description                                                                        |
| -------- | ------------------------------------------------------ | ---------------------------------------------------------------------------------- |
| **item** | [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) | The [MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md) to store in this event. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) MenuItem

[MenuItem](/api/wisej.web/menus/wisej.web.menuitem.md): Returns the menu item object used by this event.

## Used By

| Name                                                                           | Description                                                                                                                                                                                                                                                        |
| ------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [MenuItemEventHandler](/api/wisej.web/menus/wisej.web.menuitemeventhandler.md) | Represents the method that will handle the [MenuItemAdded](/api/wisej.web/menus/wisej.web.menu.md#menuitemadded) and [MenuItemRemoved](/api/wisej.web/menus/wisej.web.menu.md#menuitemremoved) events of the [Menu](/api/wisej.web/menus/wisej.web.menu.md) class. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/menus/wisej.web.menuitemeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
